<?php

function zweig_support() {
	add_theme_support( 'automatic-feed-links');
	add_theme_support( 'menus' );
	add_theme_support( 'html5', array ('comment-list','comment-form','search-form'));
}

add_action('after_setup_theme','zweig_support');

/* Enqueue scripts */

function zweig_scripts() {
	wp_enqueue_style( 'normalize', get_template_directory_uri() . '/css/normalize.css' );
	wp_enqueue_style( 'zweig-styles', get_stylesheet_uri() );
	if ( is_singular() && comments_open() && get_option('thread_comments') ) {wp_enqueue_script( 'comment-reply' );
	}
}

add_action( 'wp_enqueue_scripts', 'zweig_scripts' );

/* Footer widgets */

function zweig_footer() {

	register_sidebar(array(
		'name'=> 'Footer Area One',
		'id' => 'footer-one',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));

	register_sidebar(array(
		'name'=> 'Footer Area Two',
		'id' => 'footer-two',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));

	register_sidebar(array(
		'name'=> 'Footer Area Three',
		'id' => 'footer-three',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	));
}

add_action('widgets_init','zweig_footer');

/* Read more */

function zweig_excerpt_more($more) {
  global $post;
  return '<a href="'. get_permalink($post->ID) . '" class="read-more">' . 'Read more &raquo;' . '</a>';
}

add_filter('excerpt_more', 'zweig_excerpt_more');

/* Block image size to content */

if ( ! isset( $content_width ) ) $content_width = 900;

/* Add editor styles */

function zweig_add_editor_styles() {
    add_editor_style( get_template_directory_uri() . '/css/editor-style.css' );
}

add_action( 'init', 'zweig_add_editor_styles' );
